Bug 791162 - yumdownloader fails to download source rpm
yumdownloader fails to download source rpm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 06:39 EST by Tim Shumakov
Modified: 2014-01-21 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:23:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Try to make yumdownloader use --archlist options a bit more correctly (1.73 KB, patch)
2012-02-16 06:39 EST, Tim Shumakov
no flags Details | Diff

  None (edit)
Description Tim Shumakov 2012-02-16 06:39:22 EST
Created attachment 562475 [details]
Try to make yumdownloader use --archlist options a bit more correctly

Description of problem:
There is conditions where yumdonwnloader fails to download source rpm.

Version-Release number of selected component (if applicable):
1.1.31-2.fc16

How reproducible:
See below.

Steps to Reproduce:
1. Create local repositories (via createrepo) containing:
   1) at least two binary rpms built from the same source rpm for architecture different than the host OS is running on (i.e. avahi-0.6.30-4.fc16.ppc.rpm and avahi-0.6.30-4.fc16.ppc.rpm, assuming you are on x86_64)
   2) corresponding source packages (i.e. avahi-0.6.30-4.fc16.src.rpm)
2. Create yum-test.conf configuration file like the following:
keepcache=0
metadata_expire=32
debuglevel=2
logfile=/tmp/yumtest/yum.log
exactarch=0
obsoletes=1
gpgcheck=0
installroot=/tmp/yumtest/fakelocal
plugins=0
installonly_limit=3
reposdir=/dev/null
color=never

[test-ppc]
name=Test ppc
baseurl=file:///tmp/yumtest/test/
enabled=1
gpgcheck=0

[test-ppc-source]
name=Test source
baseurl=file:///tmp/yumtest/test-source/
enabled=0
gpgcheck=0

3. Try to execute:
yumdownloader -c yum-test.conf --archlist=ppc --source --urls avahi-autoipd
  
Actual results:
No Match for argument avahi-autoipd

Expected results:
file:///tmp/yumtest/test-source//avahi-0.6.30-4.fc16.src.rpm

Additional info:
See the patch attached.
Comment 1 Fedora End Of Life 2013-01-16 12:34:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:23:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.